C*************************************************************
C
C Written by Victor De Pinto
C Revised July 1981
C
C GETS A FILENAME.
C
      SUBROUTINE NAME ( FNAME )
      LOGICAL*1 FN(11), FNAME(11)
      DATA FN/8*' ','D','A','T'/
      WRITE (1,1)
1     FORMAT (' Enter 1-8 characters: ')
      READ (1,2) ( FN(J), J=1,8 )
2     FORMAT (8A1)
      WRITE (1,3) FN
3     FORMAT ('+( Complete filename is ', 11A1, ' )' )
      DO 4 J=1,8
      FNAME(J) = FN(J)
4     FN(J) = ' '
      DO 5 J=9,11
5     FNAME(J) = FN(J)
      RETURN
      END
C *************************************************************
C Get filename and read source file into array.
C 
      SUBROUTINE READ (DAT)
      LOGICAL*1 FN(11)
      DIMENSION DAT(2,1024)
      WRITE (1,7)
7     FORMAT (' Source filename,')
      CALL NAME ( FN )
      CALL OPEN (3, FN, 0)
      READ (3) DAT
      ENDFILE 3
      RETURN
      END
